Subject: Re: bug#48406: 28.0.50; Emacs stuck in infinite loop in wait_reading_process_output when opening in fullscreen (NS)

From: Andrii Kolomoiets <[email-masked]>
Date: Sat, 15 May 2021 22:44:28 +0300

Alan Third <[email-masked]> writes:

> Now I've dug out my Mac I can confirm I see this hang as well.
>
> The problem is that we never reach the NS run loop and therefore
> windowDidEnterFullScreen is never called.
>
> This fixes it for me, but whether it's a good idea or not I don't know:
>
> -      wait_reading_process_output (0, 300000000, 0, 1, Qnil, NULL, 0);
> +      [NSApp run];

I really like this change.  Using `wait_reading_process_output` to wait
for NS event was a bad idea.

Though I don't understand why my setup isn't affected by this bug.

Alan, please install your patch.

Thanks!